### Method

# Gtk Entry set_icon_tooltip_markup

#### Declaration [src]

    void
    gtk_entry_set_icon_tooltip_markup (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      const char* tooltip
    )

#### Description [src]

Sets `tooltip` as the contents of the tooltip for the icon at the specified position.

`tooltip` is assumed to be marked up with Pango Markup.

Use `NULL` for `tooltip` to remove an existing tooltip.

See also `gtk_widget_set_tooltip_markup()` and `gtk_entry_set_icon_tooltip_text()`.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  The icon position.

`tooltip`

  Type: `const char*`

  The contents of the tooltip for the icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.